unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
From: david@tethera.net
To: notmuch@notmuchmail.org
Cc: David Bremner <bremner@debian.org>
Subject: [Patch v3 03/11] perf-test: add corpus size to output, compact I/O stats
Date: Sat, 15 Dec 2012 08:45:06 -0400	[thread overview]
Message-ID: <1355575514-32735-4-git-send-email-david@tethera.net> (raw)
In-Reply-To: <1355575514-32735-1-git-send-email-david@tethera.net>

From: David Bremner <bremner@debian.org>

Austin suggested a while ago that the corpus size be printed in the
header. In the end it seems the corpus will be fixed per test script,
so this suggestion indeed makes sense.

The tabbing was wrapping on my usual 80 column terminal, so I joined
the input and output columns together.
---
 performance-test/perf-test-lib.sh |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/performance-test/perf-test-lib.sh b/performance-test/perf-test-lib.sh
index 3a4a23d..e399d3f 100644
--- a/performance-test/perf-test-lib.sh
+++ b/performance-test/perf-test-lib.sh
@@ -67,14 +67,14 @@ add_email_corpus ()
 }
 
 print_header () {
-    printf "[v%4s]               Wall(s)\tUsr(s)\tSys(s)\tRes(K)\tIn(512B)\tOut(512B)\n" \
-	   ${PERFTEST_VERSION}
+    printf "[v%4s %6s]        Wall(s)\tUsr(s)\tSys(s)\tRes(K)\tIn/Out(512B)\n" \
+	   ${PERFTEST_VERSION} ${corpus_size}
 }
 
 time_run () {
     printf "%-22s" "$1"
     if test "$verbose" != "t"; then exec 4>test.output 3>&4; fi
-    if ! eval >&3 "/usr/bin/time -f '%e\t%U\t%S\t%M\t%I\t%O' $2" ; then
+    if ! eval >&3 "/usr/bin/time -f '%e\t%U\t%S\t%M\t%I/%O' $2" ; then
 	test_failure=$(($test_failure + 1))
 	return 1
     fi
-- 
1.7.10.4

  parent reply	other threads:[~2012-12-15 12:45 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-12-15 12:45 v3 performance tests improvements david
2012-12-15 12:45 ` [Patch v3 01/11] perf-test: propagate non-zero returns from /usr/bin/time david
2012-12-15 12:45 ` [Patch v3 02/11] perf-test: add argument parsing for performance tests david
2012-12-15 12:45 ` david [this message]
2012-12-15 12:45 ` [Patch v3 04/11] perf-test: optionally print description for each group of tests david
2012-12-15 12:45 ` [Patch v3 05/11] perf-test: cache unpacked corpus david
2012-12-15 12:45 ` [Patch v3 06/11] perf-test: add caching of xapian database david
2012-12-15 12:45 ` [Patch v3 07/11] perf-test: update README david
2012-12-15 12:45 ` [Patch v3 08/11] perf-test: bump corpus version to 0.3 david
2012-12-15 12:45 ` [Patch v3 09/11] perf-test: unpack tags david
2012-12-15 12:45 ` [Patch v3 10/11] perf-test: split basic into 00-new, 01-dump-restore, and 02-tag david
2012-12-15 12:45 ` [Patch v3 11/11] perf-test: use nmbug tags in dump-restore tests david
2012-12-15 16:45 ` v3 performance tests improvements Tomi Ollila
2012-12-15 18:33   ` David Bremner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://notmuchmail.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1355575514-32735-4-git-send-email-david@tethera.net \
    --to=david@tethera.net \
    --cc=bremner@debian.org \
    --cc=notmuch@notmuchmail.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).